SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
Rand.h File Reference

[Internal] Random number generator More...

`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::RakNetRandom

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Functions

void RAK_DLL_EXPORT | seedMT (unsigned int seed)
unsigned int RAK_DLL_EXPORT | reloadMT (void)
unsigned int RAK_DLL_EXPORT | randomMT (void)
float RAK_DLL_EXPORT | frandomMT (void)
void RAK_DLL_EXPORT | fillBufferMT (void *buffer, unsigned int bytes)

## Detailed Description

[Internal] Random number generator

Definition in file Rand.h.

## Function Documentation

void RAK_DLL_EXPORT fillBufferMT | ( | void * | buffer,
|  | unsigned int | bytes
| ) |  |

Randomizes a buffer

Note
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Definition at line 99 of file Rand.cpp.

References _left, _next, _state, and fillBufferMT().

float RAK_DLL_EXPORT frandomMT | ( | void |  | ) |

Gets a random float

Note
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Returns
  0 to 1.0f, inclusive

Definition at line 95 of file Rand.cpp.

References _left, _next, _state, and frandomMT().

unsigned int RAK_DLL_EXPORT randomMT | ( | void |  | ) |

Gets a random unsigned int

Note
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Returns
  an integer random value.

Definition at line 91 of file Rand.cpp.

References _left, _next, _state, and randomMT().

unsigned int RAK_DLL_EXPORT reloadMT | ( | void |  | ) |

Definition at line 87 of file Rand.cpp.

References _left, _next, _state, and reloadMT().

void RAK_DLL_EXPORT seedMT | ( | unsigned int | seed | ) |

Initialise seed for Random Generator

Note
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Parameters

  [in] | seed | The seed value for the random number generator.

Definition at line 83 of file Rand.cpp.

References _left, _next, _state, and seedMT().